// 导入插件
import './vue-mixin'
import './vxe-table'
import './filter'
import './vxe-table/table-formatter'
import { i18n } from "@/utils/i18ns";
import Comps from '@/comps';
import JsonViewer from 'vue-json-viewer'
import FullCalendar from 'vue-fullcalendar'
import FormMaking from 'form-making';
import 'form-making'
import 'form-making/dist/FormMaking.css'
import VueCropper from 'vue-cropper'

// import AND from 'ant-design-vue'
// import 'ant-design-vue/dist/antd.css'

import directive from './directive'
import CmsDialog from "./comps/CmsDialog";
//全局引入
import VueCron from 'vue-cron'

import '@/icons' // icon
const Plugins = {
  install: function (Vue) {
    Vue.use(Comps);
    Vue.use(JsonViewer);
    Vue.use(VueCron);
    // Vue.use(AND);
    Vue.use(FullCalendar);
    Vue.use(FormMaking, { lang: 'CN', i18n });
    Vue.use(VueCropper); // 图片裁剪
    directive(Vue);
    Vue.use(CmsDialog)
  }
};
export default Plugins